Voice Cloning is out in beta with Elevenlabs integration!
cURL
curl --request POST \ --url https://pria.praxislxp.com/api/admin/tool \ --header 'Content-Type: application/json' \ --header 'x-access-token: <api-key>' \ --data ' { "name": "<string>", "description": "<string>", "type": "<string>", "schema": {}, "endpoint": "<string>", "status": "active", "institution": "<string>" } '
{ "success": true, "data": { "id": "<string>", "name": "<string>", "responseLength": 123, "responseDurationMs": 123, "success": true, "_id": "<string>", "description": "<string>", "type": "<string>", "schema": {}, "endpoint": "<string>", "status": "active", "institution": "<string>", "created": "2023-11-07T05:31:56Z" } }
Creates a new tool configuration
JWT token passed in x-access-token header
Tool name
Tool description
Tool type
Tool JSON schema
Tool endpoint URL
active
inactive
Institution ID
Tool created successfully
Show child attributes
Was this page helpful?